//+------------------------------------------------------------------+
//|                                                   Didi Index.mq4 |
//|                                                Rudinei Felipetto |
//|                                         http://www.conttinua.com |
//+------------------------------------------------------------------+
#property copyright "Rudinei Felipetto"
#property link      "http://www.conttinua.com"
#property version   "1.00"
#property indicator_separate_window
#property indicator_buffers 3
#property indicator_plots   3

//--- plot FastPeriod
#property indicator_label1 "Fast"
#property indicator_type1  DRAW_LINE
#property indicator_color1 clrLime
#property indicator_style1 STYLE_SOLID
#property indicator_width1 1
//--- plot MediumPeriod
#property indicator_label2 "Medium"
#property indicator_type2  DRAW_LINE
#property indicator_color2 clrWhite
#property indicator_style2 STYLE_SOLID
#property indicator_width2 1
//--- plot SlowPeriod
#property indicator_label3 "Slow"
#property indicator_type3  DRAW_LINE
#property indicator_color3 clrYellow
#property indicator_style3 STYLE_SOLID
#property indicator_width3 1
//--- input parameters


extern int FastPeriod=3;
ENUM_APPLIED_PRICE FastPeriodAppliedPrice = PRICE_CLOSE;
extern int MediumPeriod=8;
ENUM_APPLIED_PRICE MediumPeriodAppliedPrice = PRICE_CLOSE;
extern int SlowPeriod=20;
ENUM_APPLIED_PRICE SlowPeriodAppliedPrice = PRICE_CLOSE;
extern ENUM_MA_METHOD MAMethod = MODE_SMA;


//--- indicator buffers
double FastPeriodBuffer[];
double MediumPeriodBuffer[];
double SlowPeriodBuffer[];

int init()
{
   SetIndexBuffer(0, FastPeriodBuffer, INDICATOR_DATA);
   SetIndexBuffer(1, MediumPeriodBuffer, INDICATOR_DATA);
   SetIndexBuffer(2, SlowPeriodBuffer, INDICATOR_DATA);
   
   return(0);
}



int start()
  {

   int i, limit;
   int counted_bars=IndicatorCounted();
   if(counted_bars>0)
      counted_bars--;
   limit=Bars-counted_bars;

   for(i=limit; i>=0; i--)
     {
     
     
     
      double fastPer = iMA(_Symbol, 0, FastPeriod, 0, MAMethod, FastPeriodAppliedPrice, i);
      double medPer = iMA(_Symbol, 0, MediumPeriod, 0, MAMethod, MediumPeriodAppliedPrice, i);
      double slowPer = iMA(_Symbol, 0, SlowPeriod, 0, MAMethod, SlowPeriodAppliedPrice, i);
      
      if (medPer!=0) {
         
         FastPeriodBuffer[i] = fastPer/medPer;
         SlowPeriodBuffer[i] = slowPer/ medPer;
         MediumPeriodBuffer[i] = 1;
 
      }    
   }
    
   return(0);
  }
